import { Dag, DagNode } from ".";
/**
 * get a mapping from a the children of a set of nodes to their unique parents
 */
export declare function getParents<N, L>(parentNodes: Iterable<DagNode<N, L>>): Map<DagNode<N, L>, DagNode<N, L>[]>;
/**
 * get a mapping from a the children of a set of nodes to their parents with counts
 */
export declare function getParentCounts<N, L>(parentNodes: Iterable<DagNode<N, L>>): Map<DagNode<N, L>, [DagNode<N, L>, number][]>;
/** convert a dag into a dot string */
export declare function dot<N, L>(dag: Dag<N, L>, id: (node: DagNode<N, L>) => string): string;
