/**
 * Stopgap for esnext iterable features
 *
 * @module
 */
export declare function entries<T>(iter: Iterable<T>): IterableIterator<[number, T]>;
export declare function flatMap<T, S>(iter: Iterable<T>, callback: (element: T, index: number) => Iterable<S>): IterableIterator<S>;
export declare function reduce<T, S>(iter: Iterable<T>, callback: (accumulator: S, currentValue: T, index: number) => S, initialValue: S): S;
export declare function map<T, S>(iter: Iterable<T>, callback: (element: T, index: number) => S): IterableIterator<S>;
export declare function filter<T, S extends T>(iter: Iterable<T>, callback: (element: T, index: number) => element is S): IterableIterator<S>;
export declare function filter<T>(iter: Iterable<T>, callback: (element: T, index: number) => boolean): IterableIterator<T>;
export declare function some<T>(iter: Iterable<T>, callback: (element: T, index: number) => boolean): boolean;
export declare function every<T>(iter: Iterable<T>, callback: (element: T, index: number) => boolean): boolean;
export declare function reverse<T>(arr: readonly T[]): IterableIterator<T>;
